<?php  
 session_start();  
 include("conexion.php");
 try  
 {   
      $pdo = new PDO("mysql:host=$hostBD; dbname=$dataBD", $userBD, $passBD);  
      $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);  
      if(isset($_POST["login"]))  
      {  
           if(empty($_POST["usuario"]) || empty($_POST["password"]))  
           {  
                $message = '<label>Todos los campos son requeridos</label>';  
           }  
           else  
           {  
                $query = "SELECT * FROM usuarios WHERE usuarioEmail = :usuario AND usuarioPassword = :password";  
                $statement = $pdo->prepare($query);  
                $statement->execute(  
                     array(  
                          'usuario'     =>     $_POST["usuario"],  
                          'password'     =>     md5($_POST["password"])
                     )  
                );  
                $count = $statement->rowCount();  
                if($count > 0)  
                {  
                     $_SESSION["usuario"] = $_POST["usuario"];  
                  
                     header("location:todaslastareas.php");  
                }  
                else  
                {  
                     $message = '<label>Datos incorrectos</label>';  
                }  
           }  
      }  
 }  
 catch(PDOException $error)  
 {  
      $message = $error->getMessage();  
 }  
 ?>  
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Gestor de tareas | Log in</title>

    <!-- Bootstrap -->
    <link href="../resources/template/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../resources/template/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../resources/template/vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- Animate.css -->
    <link href="../resources/template/vendors/animate.css/animate.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../resources/template/build/css/custom.min.css" rel="stylesheet">
  </head>

<body>
  <body class="login">
    <div>
      <a class="hiddenanchor" id="signup"></a>
      <a class="hiddenanchor" id="signin"></a>

      <div class="login_wrapper">
        <div class="animate form login_form">
          <section class="login_content">

<!-- FORMULARIO BUENO-->
              <h3><i class="fa fa-cube"></i> <span>Gestor de tareas</span></h3><br>
          <form method="post">  
              <h1>Log in</h1>
                <div class="form-group">
                    <label for="Usuario">Usuario</label>
                    <input type="text" name="usuario" class="form-control" placeholder="E-mail válido" />  
			</div>
  
                <div class="form-group">
                    <label for="Contraseña">Contraseña</label>
                    <input type="password" name="password" class="form-control" placeholder="Contraseña" />  
			</div>
                      
               <br />  
               <input type="submit" name="login" class="btn btn-info" value="Iniciar Sesion" />
               <input type="reset" name="borrar" class="btn btn-danger" value="Borrar" />

          </form> 
<!-- FORMULARIO BUENO-->

          </section>
        </div>
      </div>
    </div>
<!-- Fin container -->
<script src="assets/jquery-1.12.4-jquery.min.js"></script> 
<script src="assets/jquery.validate.min.js"></script> 
<script src="assets/ValidarRegistro.js"></script> 
<!-- Bootstrap core JavaScript
    ================================================== --> 
<!-- Placed at the end of the document so the pages load faster --> 

<script>window.jQuery || document.write('<script src="assets/js/vendor/jquery-slim.min.js"><\/script>')</script> 
<script src="assets/js/vendor/popper.min.js"></script> 
<script src="dist/js/bootstrap.min.js"></script>
</body>
</html>