<?php
session_start();
include("conexion.php");
include("header.php");
    $query= $pdo->prepare("SELECT * FROM clientes");
    $query->execute();
    $todosClientes=$query->fetchAll(PDO::FETCH_ASSOC);
    
    $txtNombre=(isset($_POST['txtNombre']))?$_POST['txtNombre']:"";
    $txtEmail=(isset($_POST['txtEmail']))?$_POST['txtEmail']:"";
    $txtTelefono=(isset($_POST['txtTelefono']))?$_POST['txtTelefono']:"";

    $accion=(isset($_POST['accion']))?$_POST['accion']:"";
    switch($accion){
      case "btnBorrar":
      break;
      case "btnAnadir":
          $query=$pdo->prepare("INSERT INTO clientes(clienteNombre,clienteEmail,clienteTelefono)
                  VALUES (:txtNombre,:txtEmail,:txtTelefono)");
          $query->bindParam(':txtNombre',$txtNombre);
          $query->bindParam(':txtEmail',$txtEmail);
          $query->bindParam(':txtTelefono',$txtTelefono);
          $query->execute();
      break;
  }
?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Gestor de tareas | Clientes</title>

    <!-- Bootstrap -->
    <link href="../resources/template/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../resources/template/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../resources/template/vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- Datatables -->
    <link href="../resources/template/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="../resources/template/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../resources/template/build/css/custom.min.css" rel="stylesheet">
  </head>

  <body>


        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="clearfix"></div>
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2><i class="fa fa-group"></i> Clientes</h2>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <!-- TABLA DE TODOS LOS CLIENTES -->
                    <table id="datatable-responsive" class="table table-hover dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th>Nombre</th>
                          <th>eMail</th>
                          <th>Teléfono</th>
                        </tr>
                      </thead>
                      <?php
                        foreach($todosClientes as $cliente) {
                      ?>
                        <tr>
                          <td><?php echo $cliente['clienteNombre']; ?></td>
                          <td><?php echo $cliente['clienteEmail']; ?></td>
                          <td><?php echo $cliente['clienteTelefono']; ?></td>
                        </tr>
                      <?php } ?>
                    </table>
                    <table class="table dt-responsive nowrap " cellspacing="0" width="100%">
                        <tr><form action="" method="post">
                          <td><input type="text" class="form-control" name="txtNombre" placeholder="" id="txtNombre" require=""></td>
                          <td><input type="text" class="form-control" name="txtEmail" placeholder="" id="txtEmail" require=""> </td>
                          <td><input type="number" class="form-control" name="txtTelefono" placeholder="" id="txtTelefono" require=""></td>
                        </tr>
                        <tr><td>
                          <button value="btnBorrar" class="btn btn-danger" type="reset">Limpiar</button></div>
                          <button value="btnAnadir" class="btn btn-success" type="submit" name="accion">Añadir</button></td>
                          </div>
                        </form></td><td></td><td></tr>
                    </table>
                    <!-- TABLA DE TODOS LOS CLIENTES -->
          
          
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            Gentelella - Bootstrap Admin Template by <a href="https://colorlib.com">Colorlib</a>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <!-- jQuery -->
    <script src="../resources/template/vendors/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="../resources/template/vendors/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="../resources/template/vendors/fastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="../resources/template/vendors/nprogress/nprogress.js"></script>
    <!-- Datatables -->
    <script src="../resources/template/vendors/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="../resources/template/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
    <script src="../resources/template/vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
    <script src="../resources/template/vendors/jszip/dist/jszip.min.js"></script>
    <script src="../resources/template/vendors/pdfmake/build/pdfmake.min.js"></script>
    <script src="../resources/template/vendors/pdfmake/build/vfs_fonts.js"></script>

    <!-- Custom Theme Scripts -->
    <script src="../resources/template/build/js/custom.min.js"></script>

  </body>
</html>