<?php
   session_start();
   include("conexion.php");
   include("header.php");

   $datetime = date('Y-m-d H:i:s');

   $tareaID = $_GET['tareaID'];
   $query1= $pdo->prepare("SELECT *
   											 FROM tareas
   											 INNER JOIN clientes
   	 											 ON tareas.cliente = clientes.clienteID
   											 INNER JOIN usuarios
   											 	 ON tareas.usuario_id = usuarios.usuarioID 
   											 WHERE tareas.ID = ".$tareaID);
   $query1->execute();
   $tarea=$query1->fetchAll(PDO::FETCH_ASSOC);

   /*Añadir comentario*/
   $txtTexto=(isset($_POST['txtTexto']))?$_POST['txtTexto']:"";
   $comentar=(isset($_POST['comentar']))?$_POST['comentar']:"";   
   switch($comentar){
       case "btnBorrar":
           //echo"Borrar";
       break;
       case "btnComentar":
           $query=$pdo->prepare("INSERT INTO comentarios(autor,texto,fecha,tareaID)
                                VALUES (:autor,:texto,:fecha,:tareaID)");
           $query->bindValue(':autor',$_SESSION["usuario"]);
           $query->bindParam(':texto',$txtTexto);
           $query->bindValue(':fecha',$datetime);
           $query->bindValue(':tareaID',$tareaID);
           $query->execute();
       break;
   }
   /*Añadir comentario*/

   /*Actualizar prioridad*/
   $cambioPrioridad=(isset($_POST['cambioPrioridad']))?$_POST['cambioPrioridad']:"";  
   if (isset($_POST['cambioPrioridad'])){  
    $query = $pdo->prepare("UPDATE tareas SET
                                   prioridad = :Prioridad
                                   WHERE id= :ID");
    $query->bindParam(':Prioridad', $cambioPrioridad);
    $query->bindParam(':ID', $tareaID);
    $query->execute();
    echo '<script LANGUAGE="JavaScript">location.href="'. $_SERVER['REQUEST_URI'].'";</script>';
  }
   /*Actualizar prioridad*/
   
   /*Actualizar estado*/
   $cambioEstado=(isset($_POST['cambioEstado']))?$_POST['cambioEstado']:"";  
   if (isset($_POST['cambioEstado'])){ 
    $query = $pdo->prepare("UPDATE tareas SET
                                   estado = :Estado
                                   WHERE id= :ID");
    $query->bindParam(':Estado', $cambioEstado);
    $query->bindParam(':ID', $tareaID);
    $query->execute();
    echo '<script LANGUAGE="JavaScript">location.href="'. $_SERVER['REQUEST_URI'].'";</script>';
   }
   /*Actualizar estado*/

   $query= $pdo->prepare("SELECT *
                          FROM comentarios
                          INNER JOIN usuarios 
                          ON comentarios.autor = usuarios.usuarioEmail
                          WHERE tareaID = ".$tareaID);
   $query->execute();
   $comentarios=$query->fetchAll(PDO::FETCH_ASSOC);
   
   $query= $pdo->prepare("SELECT * FROM prioridades");
   $query->execute();
   $prioridades=$query->fetchAll(PDO::FETCH_ASSOC);
   
   $query= $pdo->prepare("SELECT * FROM estados");
   $query->execute();
   $estados=$query->fetchAll(PDO::FETCH_ASSOC);
   ?>

<!DOCTYPE html>
<html lang="es">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <!-- Meta, title, CSS, favicons, etc. -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title><?php echo $tarea[0]['titulo']; ?></title>
      <!-- Bootstrap -->
      <link href="../resources/template/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
      <!-- Font Awesome -->
      <link href="../resources/template/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
      <!-- NProgress -->
      <link href="../resources/template/vendors/nprogress/nprogress.css" rel="stylesheet">
      <!-- Datatables -->
      <link href="../resources/template/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
      <link href="../resources/template/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
      <link href="../resources/template/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
      <link href="../resources/template/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
      <link href="../resources/template/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">
      <!-- Custom Theme Style -->
      <link href="../resources/template/build/css/custom.min.css" rel="stylesheet">
   </head>
   <body>
      <!-- page content -->
      <div class="right_col" role="">
            <div class="clearfix"></div>
            <div class="col-md-12 col-sm-12 col-xs-12">
               <div class="x_panel">
                  <!-- Título tarea-->
                  <div class="x_title">
                     <div class="title_left">
                        <h3><b><em>#<?php echo $tareaID; ?></em> <?php echo $tarea[0]['titulo']; ?></b></h3>
                     </div>
                  </div>
                  <!-- Título tarea-->
                  <!-- Información tarea-->
                  <div class="x_title">
                     <div class="col-xs-6">
                        <div class="">
                           <p><i class="fa fa-user"></i> <?php echo $tarea[0]['clienteNombre']; ?></p>
                        </div>
                        <div class="clearfix"></div>
                        <ul class="list-inline" role="tablist">
                           <li role="presentation" class="">
                              <i class="fa fa-calendar-o"></i> <?php echo $tarea[0]['fechaFin']; ?>
                           </li>
                           <li role="presentation" class="">
                              <i class="fa fa-cogs"></i> <?php echo $tarea[0]['usuarioNombre']; ?>
                           </li>
                        </ul>
                     </div>
                     <div class="col-xs-6">
                        <ul class="nav nav-pills pull-right" role="tablist">
                           <li role="presentation" class="dropdown">
                              <a id="drop4" href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" role="button" aria-expanded="false">
                              Prioridad: <strong><?php echo $tarea[0]['prioridad']; ?></strong>
                              <span class="caret"></span>
                              </a>
                               <ul id="menu6" class="dropdown-menu animated fadeInDown" role="menu">
                                <form action="" method="post">
                                  <?php
                                    foreach($prioridades as $prioridad) {
                                  ?>
                                 <li role="presentation">
                                    <button value="<?php echo $prioridad['prioridad']; ?>" class="btn btn-group-justified" type="submit" name="cambioPrioridad"><?php echo $prioridad['prioridad']; ?></button>
                                 </li>
                                 <?php } ?>
                                </form>
                               </ul>
                           </li>
                           <li role="presentation" class="dropdown">
                              <a id="drop4" href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" role="button" aria-expanded="false">
                              Estado: <strong><?php echo $tarea[0]['estado']; ?></strong>
                              <span class="caret"></span>
                              </a>
                              <ul id="menu6" class="dropdown-menu animated fadeInDown" role="menu">
                               <form action="" method="post">
                                 <?php
                                    foreach($estados as $estado) {
                                    ?>
                                 <button value="<?php echo $estado['estado']; ?>" class="btn btn-group-justified" type="submit" name="cambioEstado"><?php echo $estado['estado']; ?></button>
                                 </li>
                                 <?php } ?>
                                </form>
                              </ul>
                           </li>
                        </ul>
                     </div>
                     <div class="clearfix"></div>
                  </div>
                  <div class="x_panel">
                     <p class="lead"><?php echo $tarea[0]['descripcion']; ?></p>
                  </div>
                  <div class="clearfix"></div>
                  <!-- Información tarea-->

                  <!--- Comentarios-->
                  <div class="x_panel">
                    <h4>Comentarios</h4>                    
                      <?php
                        foreach($comentarios as $comentario) {
                      ?>

                      <div class="panel-group">
                        <div class="panel panel-default">
                          <div calss="panel-body">
                              <blockquote><?php echo $comentario['texto'] ?>
                              </blockquote>
                          </div>
                          <div class="panel-footer">
                            <ul class="list-inline nav nav-pills " role="tablist">
                              <li role="presentation" class="">
                                <?php echo $comentario['fecha']; ?>
                              </li>
                              <li role="presentation" class="">
                                <?php echo $comentario['usuarioNombre']; ?> 
                              </li>
                            </ul>
                          </div>
                        </div>
                      </div>
                      <?php } ?>

                      <!-- CREAR COMENTARIO -->
                      <div class="container">
                        <form action="" method="post">
                          <div class="">
                            <div class="">
                             <h4></h4>
                            </div>
                          </div>
                          <div class="form-row">
                            <div class="form-group">
                                <label>Nuevo comentario</label>
                                <textarea type="text" class="form-control" name="txtTexto" rows="8" placeholder="Deja aquí tu comentario" id="txtTexto" require=""></textarea>
                            </div>
                          </div>
                          <div class="clearfix"></div>
                          <div class="">
                            <button value="btnBorrar" class="btn btn-danger" type="reset">Borrar</button>
                            <button value="btnComentar" class="btn btn-success" type="submit" name="comentar">Comentar</button>
                          </div>
                        </form>
                      </div>
                      <!-- CREAR COMENTARIO -->

                  </div>
               <!--- Comentarios-->

               </div>
            </div>
         </div>
      </div>
      <!-- /page content -->
      <!-- footer content -->
      <footer>
         <div class="pull-right">
            Gentelella - Bootstrap Admin Template by <a href="https://colorlib.com">Colorlib</a>
         </div>
         <div class="clearfix"></div>
      </footer>
      <!-- /footer content -->
      </div>
      </div>
      <!-- jQuery -->
      <script src="../resources/template/vendors/jquery/dist/jquery.min.js"></script>
      <!-- Bootstrap -->
      <script src="../resources/template/vendors/bootstrap/dist/js/bootstrap.min.js"></script>
      <!-- FastClick -->
      <script src="../resources/template/vendors/fastclick/lib/fastclick.js"></script>
      <!-- NProgress -->
      <script src="../resources/template/vendors/nprogress/nprogress.js"></script>
      <!-- Datatables -->
      <script src="../resources/template/vendors/datatables.net/js/jquery.dataTables.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
      <script src="../resources/template/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
      <script src="../resources/template/vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
      <script src="../resources/template/vendors/jszip/dist/jszip.min.js"></script>
      <script src="../resources/template/vendors/pdfmake/build/pdfmake.min.js"></script>
      <script src="../resources/template/vendors/pdfmake/build/vfs_fonts.js"></script>
      <!-- Custom Theme Scripts -->
      <script src="../resources/template/build/js/custom.min.js"></script>
   </body>
</html>