<?php


$txtCliente=(isset($_POST['txtCliente']))?$_POST['txtCliente']:"";
$txtFechaFin=(isset($_POST['txtFechaFin']))?$_POST['txtFechaFin']:"";
$txtTitulo=(isset($_POST['txtTitulo']))?$_POST['txtTitulo']:"";
$txtPrioridad=(isset($_POST['txtPrioridad']))?$_POST['txtPrioridad']:"";
$txtUsuario=(isset($_POST['txtUsuario']))?$_POST['txtUsuario']:"";
$txtDescripcion=(isset($_POST['txtDescripcion']))?$_POST['txtDescripcion']:"";

$accion=(isset($_POST['accion']))?$_POST['accion']:"";

switch($accion){
    case "btnBorrar":
        echo"Borrar";
    break;
    case "btnCrear":
        $query=$pdo->prepare("INSERT INTO proyectos(titulo,prioridad,estado,descripcion,cliente,usuario_id)
                VALUES (:titulo,:prioridad,'Abierta',:descripcion,:cliente,:usuario)");
        $query->bindParam(':titulo',$txtTitulo);
        $query->bindParam(':prioridad',$txtPrioridad);
        $query->bindParam(':descripcion',$txtDescripcion);
        $query->bindParam(':cliente',$txtCliente);
        $query->bindParam(':usuario',$txtUsuario);
        $query->execute();
    break;
}

$queryPrioridad= $pdo->prepare("SELECT * FROM `prioridades`");
$queryPrioridad->execute();
$Prioridades=$queryPrioridad->fetchAll(PDO::FETCH_ASSOC);

$queryClientes= $pdo->prepare("SELECT * FROM `clientes`");
$queryClientes->execute();
$Clientes=$queryClientes->fetchAll(PDO::FETCH_ASSOC);

$queryUsuarios= $pdo->prepare("SELECT * FROM `usuarios`");
$queryUsuarios->execute();
$Usuarios=$queryUsuarios->fetchAll(PDO::FETCH_ASSOC);

?>
    <div class="container">
        <form action="" method="post">

            <!-- Modal -->
            <div class="modal fade modal-nuevo-proyecto" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="modal-nuevo-proyecto">Nuevo Proyecto</h5>
                        </div>
                        <div class="modal-body">
                            <div class="form-row">

                                <div class="form-group col-md-12">
                                <label for="">Título:</label>
                                <input type="text" class="form-control" name="txtTitulo" placeholder="" id="txtTitulo" require="">
                                </div>

                                <div class="form-group col-md-3">
                                <label for="">Cliente:</label>
                                <select class="form-control" value="" name="txtCliente" id="txtCliente">  
                                <option hidden selected></option>                                
                                    <?php
                                        foreach($Clientes as $cliente) {                                
                                    ?>
                                        <option value="<?php echo $cliente['clienteID']; ?>"><?php echo $cliente['clienteNombre']; ?></option> 
                                    <?php } ?>
                                </select> 
                                </div>

                                <div class="form-group col-md-3">
                                <label for="">Fecha Fin:</label>
                                <input type="date" class="form-control" name="txtFechaFin" placeholder="" id="txtFechaFin" require="">
                                </div>

                                <div class="form-group col-md-3">
                                <label for="">Usuario:</label> 
                                <select class="form-control" name="txtUsuario" id="txtUsuario">   
                                <option hidden selected></option>                            
                                    <?php
                                        foreach($Usuarios as $usuario) {                                
                                    ?>
                                        <option value="<?php echo $usuario['usuarioID']; ?>"><?php echo $usuario['usuarioNombre']; ?></option> 
                                    <?php } ?>
                                </select> 
                               </div>

                                <div class="form-group col-md-3">
                                <label for="">Prioridad:</label>
                                <select class="form-control" name="txtPrioridad" id="txtPrioridad"> 
                                <option hidden selected></option>                                 
                                    <?php
                                        foreach($Prioridades as $prioridad) {                                
                                    ?>
                                        <option value="<?php echo $prioridad['prioridad']; ?>"><?php echo $prioridad['prioridad']; ?></option> 
                                    <?php } ?>
                                </select>   
                                </div>

                                <div class="form-group col-md-12">
                                <label for="">Descripción:</label>
                                <textarea type="text" class="form-control" name="txtDescripcion" rows="8" placeholder="" id="txtTetxtDescripcionlefono" require=""></textarea>
                                </div>
                                <div class="clearfix"></div>

                                <p>Todos los campos son obligatorios</p>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                            <button value="btnBorrar" class="btn btn-danger" type="reset">Borrar</button>
                            <button value="btnCrear" class="btn btn-success" type="submit" name="accion">Crear</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>