-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 07-01-2019 a las 21:37:08
-- Versión del servidor: 10.1.36-MariaDB
-- Versión de PHP: 7.2.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `tfg`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `clientes`
--

CREATE TABLE `clientes` (
  `clienteID` int(11) NOT NULL,
  `clienteNombre` varchar(250) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `clienteEmail` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish2_ci NOT NULL,
  `clienteTelefono` int(9) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `clientes`
--

INSERT INTO `clientes` (`clienteID`, `clienteNombre`, `clienteEmail`, `clienteTelefono`) VALUES
(1, 'Empresa 1 S.L.', 'info@empresa1.com', 999999111),
(2, 'Empresa 2 S.A.', 'admin@empresa2.com', 999999222),
(3, 'Nuevo Cliente', 'ncliente@tfg.edu', 999999333);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `comentarios`
--

CREATE TABLE `comentarios` (
  `ID` int(11) NOT NULL,
  `autor` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `fecha` datetime NOT NULL,
  `texto` text CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `tareaID` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `comentarios`
--

INSERT INTO `comentarios` (`ID`, `autor`, `fecha`, `texto`, `tareaID`) VALUES
(1, 'trabajador1@tfg.com', '2019-01-02 00:00:00', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 1),
(2, 'juan@tfg.edu', '2019-01-03 00:00:00', 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.', 1),
(3, '', '0000-00-00 00:00:00', 'sadasd', 0),
(4, '', '0000-00-00 00:00:00', 'sdfg', 0),
(5, 'juan@tfg.edu', '0000-00-00 00:00:00', 'wertewrt', 0),
(6, 'juan@tfg.edu', '0000-00-00 00:00:00', 'ertrewt', 0),
(7, 'master@tfg.com', '0000-00-00 00:00:00', 'drtyertyrty', 0),
(8, 'master@tfg.com', '0000-00-00 00:00:00', 'zfszxdf', 3),
(9, 'master@tfg.com', '2019-01-03 16:35:15', 'gfhlkñkljñ', 1),
(10, 'master@tfg.com', '2019-01-03 16:35:00', 'asdas', 1),
(11, 'master@tfg.com', '2019-01-03 16:35:00', 'asdas', 1),
(12, 'master@tfg.com', '2019-01-07 11:26:15', 'wret', 3);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estados`
--

CREATE TABLE `estados` (
  `estado` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_spanish2_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `estados`
--

INSERT INTO `estados` (`estado`) VALUES
('Abierta'),
('Cerrada'),
('En espera');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `prioridades`
--

CREATE TABLE `prioridades` (
  `prioridad` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_spanish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `prioridades`
--

INSERT INTO `prioridades` (`prioridad`) VALUES
('Alta'),
('Media'),
('Baja');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proyectos`
--

CREATE TABLE `proyectos` (
  `ID` int(11) NOT NULL,
  `titulo` varchar(250) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `creador` int(11) NOT NULL,
  `descripcion` text CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `estado` varchar(20) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `fechaInicio` date NOT NULL,
  `fechaFin` date NOT NULL,
  `prioridad` varchar(10) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `cliente` int(11) NOT NULL,
  `usuario_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `proyectos`
--

INSERT INTO `proyectos` (`ID`, `titulo`, `creador`, `descripcion`, `estado`, `fechaInicio`, `fechaFin`, `prioridad`, `cliente`, `usuario_id`) VALUES
(1, 'Mantenimiento equipo Empresa 1', 1, 'Mantenimientos de los equipos en las oficinas de Empresa1', 'Abierta', '2018-12-01', '2018-12-31', 'Baja', 1, 3),
(2, 'Nueva instalación Empresa Dos', 1, 'Realizar instalación al completo en el nuevo cliente Empresa dos', 'Abierta', '2018-12-10', '2018-12-22', 'Media', 2, 1),
(3, 'Proyecto 3', 0, 'Nuevo Proyecto', 'Abierta', '0000-00-00', '0000-00-00', 'Alta', 3, 1),
(4, 'Nueva Tarea', 0, 'Tarea del nuevo proyecto', 'Abierta', '0000-00-00', '0000-00-00', 'Alta', 3, 2),
(5, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(6, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(7, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(8, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(9, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(10, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 2),
(11, 'Prueba colores', 0, 'prueba de cambio de color', 'Abierta', '0000-00-00', '0000-00-00', 'Baja', 3, 4);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tareas`
--

CREATE TABLE `tareas` (
  `ID` int(11) NOT NULL,
  `titulo` varchar(250) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `creador` int(11) NOT NULL,
  `descripcion` text CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `estado` varchar(20) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `fechaInicio` date NOT NULL,
  `fechaFin` date NOT NULL,
  `prioridad` varchar(10) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `cliente` int(11) NOT NULL,
  `proyecto_id` int(11) NOT NULL,
  `usuario_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `tareas`
--

INSERT INTO `tareas` (`ID`, `titulo`, `creador`, `descripcion`, `estado`, `fechaInicio`, `fechaFin`, `prioridad`, `cliente`, `proyecto_id`, `usuario_id`) VALUES
(1, 'Preparar Hardware instalación en Empresa 2', 1, 'Comprar y configurar hardware para Empresa 2.\r\n\r\nPresupuesto ref.#28054\r\n', 'En espera', '0000-00-00', '2018-12-15', 'Media', 2, 2, 2),
(2, 'Configuración software para Empresa 2', 1, 'Configurar software básico + antivirus + copias de seguridad.\r\n\r\nEl cliente reclama personalizaciones.', 'Abierta', '2018-12-10', '2018-12-29', 'Media', 2, 2, 3),
(3, 'Reparar equipos de Empresa 1', 1, 'Nos reportan que llevan una semana con varios equipos con dificultades para ofrecer un buen rendimiento desde que sufrieron un apagón.\r\n\r\nVisitar al cliente y retirar equipos.\r\n\r\nLlevar equipos de préstamo.', 'Abierta', '2018-12-10', '2018-12-11', 'Alta', 1, 1, 4),
(4, 'Mantenimiento Empresa 1', 1, 'Mantenimiento equipos de Empresa1', 'En espera', '0000-00-00', '0000-00-00', 'Media', 1, 1, 1),
(5, 'Proyecto 3', 0, 'Nuevo Proyecto', 'En espera', '0000-00-00', '0000-00-00', 'Alta', 3, 0, 1),
(6, 'Nueva Tarea', 0, 'Tarea del nuevo proyecto', 'Abierta', '0000-00-00', '0000-00-00', 'Alta', 3, 3, 2),
(7, 'prueba con login', 0, 'prueba de guardado tras el login', 'Cerrada', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(8, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(9, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(10, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(11, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(12, 'prueba con login', 0, 'prueba de guardado tras el login', 'Abierta', '0000-00-00', '0000-00-00', 'Media', 1, 3, 2),
(13, 'Prueba colores', 0, 'prueba de cambio de color', 'Abierta', '0000-00-00', '0000-00-00', 'Baja', 3, 4, 4);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `usuarioID` int(11) NOT NULL,
  `usuarioEmail` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `usuarioNombre` varchar(250) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `usuarioTelefono` int(9) NOT NULL,
  `usuarioPassword` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`usuarioID`, `usuarioEmail`, `usuarioNombre`, `usuarioTelefono`, `usuarioPassword`) VALUES
(1, 'master@tfg.com', 'Usuario Master', 999999999, 'ab1e5cb87bca828b54a4a24c2b37ea8f'),
(2, 'trabajador1@tfg.com', 'Trabajador 1', 999999111, 'bc17226192512649150ab276d216a7ae'),
(3, 'juan@tfg.edu', 'Juan', 666555444, ''),
(4, 'pedro@tfg.edu', 'Pedro', 666555333, '');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `clientes`
--
ALTER TABLE `clientes`
  ADD PRIMARY KEY (`clienteID`);

--
-- Indices de la tabla `comentarios`
--
ALTER TABLE `comentarios`
  ADD PRIMARY KEY (`ID`);

--
-- Indices de la tabla `estados`
--
ALTER TABLE `estados`
  ADD PRIMARY KEY (`estado`);

--
-- Indices de la tabla `proyectos`
--
ALTER TABLE `proyectos`
  ADD PRIMARY KEY (`ID`);

--
-- Indices de la tabla `tareas`
--
ALTER TABLE `tareas`
  ADD PRIMARY KEY (`ID`) USING BTREE;

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`usuarioID`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `clientes`
--
ALTER TABLE `clientes`
  MODIFY `clienteID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de la tabla `comentarios`
--
ALTER TABLE `comentarios`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT de la tabla `proyectos`
--
ALTER TABLE `proyectos`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT de la tabla `tareas`
--
ALTER TABLE `tareas`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `usuarioID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
