
  <?php 
 if(isset($_SESSION["usuario"]))  
 {  
  include("nuevatarea.php");
  include("nuevoproyecto.php");
  $query = $pdo->prepare('SELECT * FROM usuarios WHERE usuarioEmail = :email');
  $query->bindParam(':email',$_SESSION["usuario"]);
  $query->execute();
  $usuarioActivo = $query->fetch(PDO::FETCH_ASSOC);
 }  
 else  
 {  
header("location:IniciarSesion.php");  
 }  
 ?>
 <!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <link rel="icon" type="image/png" href="../resources/images/favicon_16.png" sizes="16x16">
    <link rel="icon" type="image/png" href="../resources/images/favicon_32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="../resources/images/favicon_64.png" sizes="64x64">

    <!-- Bootstrap -->
    <link href="../resources/template/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../resources/template/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../resources/template/vendors/nprogress/nprogress.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../resources/template/build/css/custom.min.css" rel="stylesheet">


  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title" style="border: 0;">
              <a href="mistareas.php" class="site_title"><i class="fa fa-cube"></i> <span>Gestor de tareas</span></a>
            </div>

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
            <div class="profile clearfix">
              <div class="profile_pic">
                <img src="../resources/template/production/images/img.jpg" alt="..." class="img-circle profile_img">
              </div>
              <div class="profile_info">
                <span>Bienvenido,</span>
                <h2><?php echo $usuarioActivo['usuarioNombre']; ?></h2>
              </div>
              <div class="clearfix"></div>
            </div>
            <!-- /menu profile quick info -->

            <br />

            <!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
              <div class="menu_section">
                <ul class="nav side-menu">
                  <li><a href="mistareas.php"><i class="fa fa-home"></i> Mis Tareas </span></a>
                  </li>
                  <li><a href="todaslastareas.php"><i class="fa fa-tasks"></i> Todas las tareas</span></a>
                  </li>
                  <li><a href="misproyectos.php"><i class="fa fa-sitemap"></i> Mis Proyectos</span></a>
                  </li>
                  <li><a href="todoslosproyectos.php"><i class="fa fa-list-alt"></i> Todos los proyectos</span></a>
                  </li>
                  <li><a href="clientes.php"><i class="fa fa-group"></i> Clientes</span></a>
                  </li>

                  <hr width="70%" >

                  <li><a><i class="fa fa-plus-square"></i> Crear Trabajo <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                      <li><button type="button" class="btn btn-primary" data-toggle="modal" data-target=".modal-nueva-tarea" style='width:100%; margin-top:5px'>Crear Tarea</button></a></li>
                      <li><button type="button" class="btn btn-primary" data-toggle="modal" data-target=".modal-nuevo-proyecto"style='width:100%'>Crear Proyecto</button></a></li>
                    </ul>
                  </li>
                </ul>
              </div>
            </div>
            <!-- /sidebar menu -->
          </div>
        </div>

        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>

              <ul class="nav navbar-nav navbar-right">
                <li class="">
                  <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <img src="../resources/template/production/images/img.jpg" alt=""><?php echo $_SESSION["usuario"]; ?>
                    <span class=" fa fa-angle-down"></span>
                  </a>
                  <ul class="dropdown-menu dropdown-usermenu pull-right">
                    <li><a href="CerrarSesion.php"><i class="fa fa-sign-out pull-right"></i> Log Out</a></li>
                  </ul>
                </li>
              </ul>
            </nav>
          </div>
        </div>
        <!-- /top navigation -->